App\Entity\AchatLivraison:
    type: entity
    table: achat_livraison
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        numIncrement:
            type: integer
            nullable: true
        numBonReception:
            type: string
            length: 255
            fixed: false
            nullable: true
        nbrColis:
            type: integer
            nullable: true
        fraisLivraison:
            type: float
            nullable: true
        numBonLivraison:
            type: string
            length: 255
            fixed: false
            nullable: true
        dateLivraison:
            type: datetime
            nullable: true
        scanBonLivraison:
            type: string
            length: 255
            fixed: false
            nullable: true
        dateReception:
            type: datetime
            nullable: true
        scanBonReception:
            type: string
            length: 255
            fixed: false
            nullable: true
        note:
            type: text
            nullable: true
    oneToMany:
        livraisons:
            targetEntity: AchatLivraisonProduit
            mappedBy: achatLivraison
            cascade: [persist]
            orphanRemoval: true
    manyToOne:
        achat:
            targetEntity: Achat
            cascade: {  }
            mappedBy: null
            inversedBy: livraisons
            joinColumns:
                achat_id:
                    referencedColumnName: id
            orphanRemoval: false